/*
* test.c
* test arithmetic expression package -- function tabulation
* Luiz Henrique de Figueiredo <lhf@tecgraf.puc-rio.br>
* 08 Aug 2018 21:46:11
* This code is hereby placed in the public domain and also under the MIT license
*/

#include <stdio.h>
#include "ae.h"

int main(void)
{
 double x;
 ae_open();
 ae_set("a",1.0);
 ae_set("b",-5.0);
 ae_set("c",6.0);
 printf("%s\t%g\n","a",ae_eval("a"));
 printf("%s\t%g\n","b",ae_eval("b"));
 printf("%s\t%g\n","c",ae_eval("c"));
 printf("%s\t%s\n","x","a*x^2+b*x+c");
 for (x=0.0; x<4.0; x+=0.25)
 {
  ae_set("x",x);
  printf("%g\t%g\n",x,ae_eval("a*x^2+b*x+c"));
 }
 ae_close();
 return 0;
}
